libavg (1.8.1-3build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:25:51 +0000

libavg (1.8.1-3) unstable; urgency=medium

  * Patch bool casting for >> operator
  * Cast display pointer to bool
  * Fixes FTBFS Closes: #811836

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Oct 2016 09:29:30 +0200

libavg (1.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * Fix build against ffmpeg 3.0. (Closes: #803833)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Apr 2016 19:30:01 +0200

libavg (1.8.1-2) unstable; urgency=medium

  * Apply patch from Reiner Herrmann for reproducible builds. (Closes: #797440)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 30 Aug 2015 23:15:42 +0100

libavg (1.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #739664)
  * Mark libdc1394-22-dev as linux-any build-dependency.
  * Add libvdpau-dev build-dependency.
  * Add libavresample-dev build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Jun 2014 20:05:13 +0100

libavg (1.8.0-1) unstable; urgency=medium

  * New upstream release. Closes: #721047
  * Drop all patches, none are needed with this new upstream release.
  * Port to dh.
  * Specify foreign in configure.ac.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2014 16:06:16 +0000

libavg (1.7.1-4) unstable; urgency=low

  * Drop automake1.10 dependency in favor of automake. Closes: #724398.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 24 Sep 2013 09:14:03 +0100

libavg (1.7.1-3ubuntu1) saucy; urgency=low

  * Link against boost-system for boost1.50+

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 27 Aug 2013 16:49:57 +0100

libavg (1.7.1-3) unstable; urgency=low

  * Fix building against multiarched python.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 20 Feb 2013 12:28:46 +0000

libavg (1.7.1-2) unstable; urgency=low

  * Change architecture to any
  * Make some x86 specific debug code conditional (replacing it with a
    deliberate segfault) (patch accepted upstream) (Closes: #683105)

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 27 Jul 2012 23:46:04 +0000

libavg (1.7.1-1) unstable; urgency=low

  * New maintainer
  * debian/patches/series: Add patch to fix FTBFS with gcc 4.7 (LP: #1008300)
  * debian/control: Correct the packaging URL
  * debian/control: Bump the standards version to 3.9.3
  * debian/copyright: Change the URL of the copyright format specification
  * closing debian bugs, fixed in the previous ubuntu uploads:
    - builds with gold (Closes: #555079)
    - uses dh_python2 (Closes: #616859)
    - no *.la files shipped (Closes: #621534)
    - don't use -msse2 on non-ix86 architectures (Closes: #580678)
  
 -- Dmitrijs Ledkovs <xnox@debian.org>  Wed, 13 Jun 2012 21:36:19 +0100

libavg (1.7.1-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #923302)

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 29 Jan 2012 19:26:37 +0100

libavg (1.7.0-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #899183)
  * Remove patches 0002-libav-0.7.patch, 0003-fglrx-segfault-on-startup.patch
    now merged to upstream
  * Remove unnecessary .la files
  * Update debian/watch file
  * Fix debian/copyright dep-5 compliancy
  * Update standards to version 3.9.2
  * Add man pages for avg_checktouch, avg_checkvsync, avg_showsvg
  * Minor debian/rules enhancement
  * Add librsvg2-dev, libgdk-pixbuf2.0-dev to Build-Depends
  * Proper transition to dh_python2

 -- OXullo Intersecans <x@brainrapers.org>  Tue, 06 Dec 2011 22:44:56 +0100

libavg (1.5.4-0ubuntu4) oneiric; urgency=low

  * Work around segfault when using fglrx (LP: #815922)

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 09 Oct 2011 23:30:53 +0200

libavg (1.5.4-0ubuntu3) oneiric; urgency=low

  * Port to libav 0.7 API (LP: #831190).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Aug 2011 23:32:13 +0100

libavg (1.5.4-0ubuntu2) natty; urgency=low

  * Build arch restricted to the supported i386 and amd64 (LP: #735548)
  * STDC macros define moved from CXXFLAGS to CPPFLAGS in order to autoconf
    to set correctly the default (LP: #752924)

 -- OXullo Intersecans <x@brainrapers.org>  Wed, 06 Apr 2011 23:46:15 +0200

libavg (1.5.4-0ubuntu1) natty; urgency=low

  [ OXullo Intersecans ]
  * Upstream update
  * Removed 0002-load-libstdc++-first.patch which is now merged to upstream
  * Add manpages

  [ Chase Douglas ]
  * Update debian/copyright for DEP5 standards
  * Remove README.debian as its contents are no longer relevant
  * Update debian/watch to version 3
  * Add list-missing check for installed but not packaged files

 -- OXullo Intersecans <x@brainrapers.org>  Fri, 11 Mar 2011 20:24:54 +0100

libavg (1.5.3-0ubuntu2) UNRELEASED; urgency=low

  [ OXullo Intersecans ]
  * New package descriptions 

  [ Chase Douglas ]
  * Fix segfault on start up in Ubuntu due to Mesa glx tls issue
    - Added 0002-load-libstdc++-first.patch

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 23 Feb 2011 15:04:56 -0500

libavg (1.5.3-0ubuntu1) UNRELEASED; urgency=low

  * Upstream update 
  * Reverted rules back to watch

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 20 Feb 2011 14:27:42 +0100

libavg (1.5.2+svn5577-0ubuntu1) UNRELEASED; urgency=low

  * Upstream update

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 13 Feb 2011 23:18:32 +0100

libavg (1.5.2+svn5512-0ubuntu2) UNRELEASED; urgency=low

  * Switched python-central to dh_python2

 -- OXullo Intersecans <x@brainrapers.org>  Sat, 12 Feb 2011 00:27:30 +0100

libavg (1.5.2+svn5512-0ubuntu1) UNRELEASED; urgency=low

  * Upstream update

 -- OXullo Intersecans <x@brainrapers.org>  Mon, 07 Feb 2011 18:17:48 +0100

libavg (1.5.2+svn5510-0ubuntu1) UNRELEASED; urgency=low

  * Upstream update
  * Added libxi6 as package dependency

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 06 Feb 2011 21:48:27 +0100

libavg (1.5.2+svn5509-0ubuntu2) UNRELEASED; urgency=low

  * Added libxi-dev as build dependency 

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 06 Feb 2011 20:32:47 +0100

libavg (1.5.2+svn5509-0ubuntu1) UNRELEASED; urgency=low

  * Upstream update

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 06 Feb 2011 20:24:05 +0100

libavg (1.5.2+svn5503-0ubuntu1) UNRELEASED; urgency=low

  * Upstream update

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 06 Feb 2011 17:50:24 +0100

libavg (1.5.2+svn5481-0ubuntu1) UNRELEASED; urgency=low

  * Upstream update
  * Temporarily enabled svn upstream provider

 -- OXullo Intersecans <x@brainrapers.org>  Sat, 05 Feb 2011 02:07:31 +0100

libavg (1.5.2+svn5420-0ubuntu2) UNRELEASED; urgency=low

  * Upstream update

 -- OXullo Intersecans <x@brainrapers.org>  Wed, 26 Jan 2011 02:06:08 +0100

libavg (1.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream version
  * Remove current examples in favour of upstream's src/samples.
  * Remove patches merged upstream.
  * Remove .py extension from new /usr/bin/ scripts.

 -- OXullo Intersecans <x@brainrapers.org>  Sun, 16 Jan 2011 23:11:32 +0100

libavg (1.0.1-1ubuntu4) natty; urgency=low

  * Fix build failure with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Dec 2010 11:55:19 +0100

libavg (1.0.1-1ubuntu3) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:02:50 +0000

libavg (1.0.1-1ubuntu2) maverick; urgency=low

  * Fix FTBFS, don't use -msse2 on non-ix86 architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2010 14:16:51 +0200

libavg (1.0.1-1ubuntu1) maverick; urgency=low

  * debian/rules: added CXXFLAGS to fix a FTBFS with undefined UINT64_C error
    with latest ffmpeg

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 04 Sep 2010 19:47:32 +0000

libavg (1.0.1-1) unstable; urgency=low

  * new upstream release (Closes: #565512)
  * Remove patches that have been merged upstream.
  * Add a patch that avoids building tests by default.
  * Remove .py extension from two more scripts in /usr/bin .
  * Add 2 example files to /usr/share/doc/python-libavg/examples/ .
  * Describe a workaround for bug #579937 in README.Debian.
  * Install debian/libavg.pth into /usr/share/pyshared/ .
    (Closes: #575551)
  * Add get-orig-source target to debian/rules.

 -- Torsten Werner <twerner@debian.org>  Sun, 02 May 2010 23:50:04 +0200

libavg (0.8.0-7) unstable; urgency=low

  * Support all python versions; not just 2.5.
  * Convert patches to dep3 format.
  * Do no longer link with $py_localmodlibs. (Closes: #567144)
  * Add Build-Depends: automake1.10 and run ./bootstrap before ./configure.
  * Change Standards-Version: 3.8.4 (no changes).
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sat, 20 Mar 2010 22:22:05 +0100

libavg (0.8.0-6) unstable; urgency=low

  * Update library name for newer libboost-python-dev. (Closes: #545601)

 -- Torsten Werner <twerner@debian.org>  Wed, 09 Sep 2009 17:24:36 +0200

libavg (0.8.0-5) unstable; urgency=low

  * Configure library boost_thread-mt.
  * Add suffix '-mt' to boost_python.
  * Add Depends: ${misc:Depends}.
  * Bump up Standards-Version: 3.8.1 (no changes).

 -- Torsten Werner <twerner@debian.org>  Mon, 11 May 2009 20:54:25 +0200

libavg (0.8.0-4) unstable; urgency=low

  * Add patch avg_namespace.diff; thanks to Luca Falavigna. (Closes: #520730)

 -- Torsten Werner <twerner@debian.org>  Wed, 01 Apr 2009 22:33:58 +0200

libavg (0.8.0-3) unstable; urgency=low

  * Add patch ffmpeg-includes.diff; thanks to Reinhard Tartler. (Closes:
    #516951)

 -- Torsten Werner <twerner@debian.org>  Tue, 24 Feb 2009 22:26:54 +0100

libavg (0.8.0-2) unstable; urgency=low

  * Add patch gcc-4.4.diff provided by Martin Michlmayr.
    (Closes: #505593)

 -- Torsten Werner <twerner@debian.org>  Fri, 14 Nov 2008 00:32:16 +0100

libavg (0.8.0-1) unstable; urgency=low

  * new upstream release
    - Uses GraphicsMagick++ instead of ImageMagick++. (Closes: #485895)
    - Does no longer support python 2.4.
  * Remove patch libavg_gcc-4.3.diff because it is not needed any more.
  * Remove .py extension from scripts installed into /usr/bin.

 -- Torsten Werner <twerner@debian.org>  Tue, 07 Oct 2008 22:49:40 +0200

libavg (0.7.0-9) unstable; urgency=low

  * Add missing Build-Depends: libswscale-dev. (Closes: #487644)
  * Bump up Standards-Version: 3.8.0 (no changes needed).

 -- Torsten Werner <twerner@debian.org>  Fri, 15 Aug 2008 17:15:47 +0200

libavg (0.7.0-8) unstable; urgency=medium

  * Change Build-Depends: libdc1394-22-dev.

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Jul 2008 23:14:49 +0200

libavg (0.7.0-7) unstable; urgency=high

  * Remove Build-Depends: liblzo-dev; thanks to Andreas Henriksson.
    (Closes: #485914)

 -- Torsten Werner <twerner@debian.org>  Tue, 24 Jun 2008 23:37:17 +0200

libavg (0.7.0-6) unstable; urgency=low

  * Support both python 2.4 and 2.5.
  * Build-Depend on a recent libboost-python-dev.
  * Clean up Build-Depends on libmagick++.

 -- Torsten Werner <twerner@debian.org>  Sun, 23 Mar 2008 09:22:14 +0100

libavg (0.7.0-5) unstable; urgency=low

  * Add a patch from Cyril Brulebois to support g++ 4.3. (Closes: #455436)
  * Make debian/copyright more verbose.
  * Replace python by Python in description of the package.

 -- Torsten Werner <twerner@debian.org>  Fri, 07 Mar 2008 20:57:39 +0100

libavg (0.7.0-4) unstable; urgency=low

  * Update Homepage and Vcs fields.
  * Set Standards-Version: 3.7.3.
  * Remove redundant Build-Depends: python-all-dev.
  * Install libavg.pth into the correct directory.
  * Remove empty directory /usr/share/avg.

 -- Torsten Werner <twerner@debian.org>  Mon, 07 Jan 2008 21:14:49 +0100

libavg (0.7.0-3) unstable; urgency=low

  * Ignore errors from 'make check' because they are probably errors of the
    buildd environment. (Closes: #447246)

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Dec 2007 21:22:36 +0100

libavg (0.7.0-2) unstable; urgency=low

  * Remove the last patch because it is not needed anymore.
  * Enable 'make check' during the build process.

 -- Torsten Werner <twerner@debian.org>  Tue, 02 Oct 2007 20:07:26 +0200

libavg (0.7.0-1) unstable; urgency=low

  * New upstream version
  * Fix debian/watch to reflect the changes of the website.
  * Remove patches that have been applied upstream.
  * Refresh one remaining patch.
  * Add missing Build-Depends: libboost-thread-dev.
  * Do not run the autotools any more and remove the Build-Depends.
  * Switch back to python 2.4 because boost has been built with that version.
  * Do no longer specify BOOST_LIBS as an argument to configure because it is
    not needed any more.

 -- Torsten Werner <twerner@debian.org>  Tue, 18 Sep 2007 19:10:28 +0200

libavg (0.6.0-6) unstable; urgency=low

  * Add a patch for newer ffmpeg provided by Ulrich von Zadow.
    (Closes: #427202)
  * Add patch from Martin Michlmayr for gcc-4.3. (Closes: #417357)

 -- Torsten Werner <twerner@debian.org>  Sat, 30 Jun 2007 09:20:54 +0200

libavg (0.6.0-5) unstable; urgency=low

  * Fix linking the boost_python library.

 -- Torsten Werner <twerner@debian.org>  Sun, 20 May 2007 13:55:49 +0200

libavg (0.6.0-4) unstable; urgency=low

  * Switch to new boost packages and python 2.5.
  * Switch to debhelper 5.

 -- Torsten Werner <twerner@debian.org>  Sun, 20 May 2007 09:01:22 +0200

libavg (0.6.0-3) unstable; urgency=low

  * Add file /usr/lib/python2.4/site-packages/libavg.pth.

 -- Torsten Werner <twerner@debian.org>  Thu, 18 Jan 2007 07:22:37 +0100

libavg (0.6.0-2) unstable; urgency=low

  * Switch from dh_python to python-central.
  * Add XS-X-Vcs-Svn header and Homepage to debian/control.

 -- Torsten Werner <twerner@debian.org>  Fri,  8 Dec 2006 14:25:40 +0100

libavg (0.6.0-1) experimental; urgency=low

  * New upstream release.
  * Uploading to experimental.
  * Removing all patches because they are not needed anymore.
  * Do not run automake anymore.

 -- Torsten Werner <twerner@debian.org>  Sun,  5 Nov 2006 14:43:11 +0100

libavg (0.5.9-4) unstable; urgency=low

  * move patches/ directory into debian/ directory where cdbs expects it
  * add patch 64bit.diff from upstream that fixes compilation errors on 64bit
    platforms, closes: #386619
  * add debian/pycompat (policy version 1)

 -- Torsten Werner <twerner@debian.org>  Sat,  9 Sep 2006 21:35:54 +0200

libavg (0.5.9-3) unstable; urgency=low

  * remove reference to www.debian-multimedia.org from package description

 -- Torsten Werner <twerner@debian.org>  Mon, 28 Aug 2006 07:06:46 +0200

libavg (0.5.9-2) unstable; urgency=low

  * uses libtool now; fixes non PIC code (patch sent to upstream author)
  * add checks to debian/rules (still commented out)
  * add patch for 'make check'
  * removed any non-free Build-Depends and move the package from contrib to
    main
  * set Architecture back to any because it should be possible to autobuild
    the package now
  * removed stuff specific to the python 2.4 transition that has happened
    finally
  * add a cosmetic patch pkg-config.diff which is intended to be sent to the
    upstream author

 -- Torsten Werner <twerner@debian.org>  Sun, 27 Aug 2006 23:25:58 +0200

libavg (0.5.9-1) unstable; urgency=low

  * fixed debian/watch
  * new upstream release
  * set Architecture to i386 because the package does not get autobuilded
  * add patch for gcc 4.1.1 from Alexander Baldeck
  * lintian fixes

 -- Torsten Werner <twerner@debian.org>  Sat, 12 Aug 2006 11:03:24 +0200

libavg (0.5.7-1) experimental; urgency=low

  * new upstream version
  * set Standards-Version to 3.7.2, no changes needed
  * use dh_python
  * exclude avg.so from dh_makeshlibs
  * documented the packages from debian-multimedia.org which are needed to
    build libavg, closes: #376424
  * minor lintian fixes
  * updated description in debian/control
  * upload to experimental because of the python2.4 transition
  * add patch gcc.diff for newer gccs

 -- Torsten Werner <twerner@debian.org>  Tue, 11 Jul 2006 21:20:09 +0200

libavg (0.5.4-1) unstable; urgency=low

  * New upstream release
  * final switch to pkg-config
  * changed Build-Depends: libavcodeccvs51-dev | libavcodeccvs-dev | libavcodec2-dev
  * added a lot of Build-Depends
  * removed old autoconf changes

 -- Torsten Werner <twerner@debian.org>  Sun, 23 Apr 2006 19:22:04 +0200

libavg (0.5.3-1) unstable; urgency=low

  * new upstream
  * switched from Magick++-config to pkg-config, closes: #347407

 -- Torsten Werner <twerner@debian.org>  Sat, 14 Jan 2006 12:37:39 +0100

libavg (0.2.0-2) unstable; urgency=low

  * changed Build-Depends: libmagick++9-dev | libmagick++6-dev,
    closes: #341817 
  * added hint to Christian Marillat's archive to README.Debian,
    closes: #332522
  * changed Build-Depends: libavcodeccvs-dev | libavcodec2-dev
  * some small lintian cleanups

 -- Torsten Werner <twerner@debian.org>  Sun,  4 Dec 2005 17:42:35 +0100

libavg (0.2.0-1) unstable; urgency=low

  * Initial Release, closes: #329429

 -- Torsten Werner <twerner@debian.org>  Wed, 21 Sep 2005 21:13:19 +0200
